curl 'https://qa-super.mygigsters.com.au/auth/create' -X POST \
-H "Authorization: Bearer JWT_FROM_VERIFY_OTP_STEP" \
-H "Content-Type: application/json" --data '{"name":"My Key"}'
const response = await fetch("https://qa-super.mygigsters.com.au/auth/create", {
method: "POST",
headers: {
Authorization: "Bearer JWT_FROM_VERIFY_OTP_STEP",
"Content-Type": "application/json",
},
body: JSON.stringify({
"name": "My Key"
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
"https://qa-super.mygigsters.com.au/auth/create",
headers={
"Authorization": "Bearer JWT_FROM_VERIFY_OTP_STEP",
},
json={
"name": "My Key",
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-super.mygigsters.com.au/auth/create")
request = Net::HTTP::Post.new(uri)
request["Authorization"] = "Bearer JWT_FROM_VERIFY_OTP_STEP"
request["Content-Type"] = "application/json"
request.body = <<~JSON
{
"name": "My Key"
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-super.mygigsters.com.au/auth/create");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer JWT_FROM_VERIFY_OTP_STEP",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"name": "My Key"
}
JSON,
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Example {
public static void main(String[] args) throws Exception {
String body = String.join("\n",
"{",
" \"name\": \"My Key\"",
"}"
);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-super.mygigsters.com.au/auth/create"))
.header("Authorization", "Bearer JWT_FROM_VERIFY_OTP_STEP")
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"name": "My Key"
}`)
req, err := http.NewRequest("POST", "https://qa-super.mygigsters.com.au/auth/create", body)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer JWT_FROM_VERIFY_OTP_STEP")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://qa-super.mygigsters.com.au/auth/create");
request.Headers.Authorization = new AuthenticationHeaderValue("Bearer", "JWT_FROM_VERIFY_OTP_STEP");
request.Content = new StringContent(@"{
""name"": ""My Key""
}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"apiUsername": "39534898-f44e-461e-99fb-c27f3bdd515b",
"apiPassword": "YOUR_API_PASSWORD"
}
API keys
Create API key
This endpoint creates an API key. The API Key is to be used in Basic Authentication format eg. curl -u ‘apiUsername:apiPassword’. To access this endpoint you need to obtain a JWT via Get OTP and Verify OTP sections.
POST
/
auth
/
create
curl 'https://qa-super.mygigsters.com.au/auth/create' -X POST \
-H "Authorization: Bearer JWT_FROM_VERIFY_OTP_STEP" \
-H "Content-Type: application/json" --data '{"name":"My Key"}'
const response = await fetch("https://qa-super.mygigsters.com.au/auth/create", {
method: "POST",
headers: {
Authorization: "Bearer JWT_FROM_VERIFY_OTP_STEP",
"Content-Type": "application/json",
},
body: JSON.stringify({
"name": "My Key"
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
"https://qa-super.mygigsters.com.au/auth/create",
headers={
"Authorization": "Bearer JWT_FROM_VERIFY_OTP_STEP",
},
json={
"name": "My Key",
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-super.mygigsters.com.au/auth/create")
request = Net::HTTP::Post.new(uri)
request["Authorization"] = "Bearer JWT_FROM_VERIFY_OTP_STEP"
request["Content-Type"] = "application/json"
request.body = <<~JSON
{
"name": "My Key"
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-super.mygigsters.com.au/auth/create");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer JWT_FROM_VERIFY_OTP_STEP",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"name": "My Key"
}
JSON,
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Example {
public static void main(String[] args) throws Exception {
String body = String.join("\n",
"{",
" \"name\": \"My Key\"",
"}"
);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-super.mygigsters.com.au/auth/create"))
.header("Authorization", "Bearer JWT_FROM_VERIFY_OTP_STEP")
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"name": "My Key"
}`)
req, err := http.NewRequest("POST", "https://qa-super.mygigsters.com.au/auth/create", body)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer JWT_FROM_VERIFY_OTP_STEP")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://qa-super.mygigsters.com.au/auth/create");
request.Headers.Authorization = new AuthenticationHeaderValue("Bearer", "JWT_FROM_VERIFY_OTP_STEP");
request.Content = new StringContent(@"{
""name"": ""My Key""
}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"apiUsername": "39534898-f44e-461e-99fb-c27f3bdd515b",
"apiPassword": "YOUR_API_PASSWORD"
}
Request Body
string
required
The friendly name for your key - for your reference only
Responses
| Code | Description |
|---|---|
200 | An API Key object |
400 | Invalid API Key details |
Response fields
string
The Basic Auth API Key user name
string
The Basic Auth API Key password (only shown once for security)
Error response fields
Error response fields
string
The error message
curl 'https://qa-super.mygigsters.com.au/auth/create' -X POST \
-H "Authorization: Bearer JWT_FROM_VERIFY_OTP_STEP" \
-H "Content-Type: application/json" --data '{"name":"My Key"}'
const response = await fetch("https://qa-super.mygigsters.com.au/auth/create", {
method: "POST",
headers: {
Authorization: "Bearer JWT_FROM_VERIFY_OTP_STEP",
"Content-Type": "application/json",
},
body: JSON.stringify({
"name": "My Key"
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
"https://qa-super.mygigsters.com.au/auth/create",
headers={
"Authorization": "Bearer JWT_FROM_VERIFY_OTP_STEP",
},
json={
"name": "My Key",
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-super.mygigsters.com.au/auth/create")
request = Net::HTTP::Post.new(uri)
request["Authorization"] = "Bearer JWT_FROM_VERIFY_OTP_STEP"
request["Content-Type"] = "application/json"
request.body = <<~JSON
{
"name": "My Key"
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-super.mygigsters.com.au/auth/create");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer JWT_FROM_VERIFY_OTP_STEP",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"name": "My Key"
}
JSON,
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Example {
public static void main(String[] args) throws Exception {
String body = String.join("\n",
"{",
" \"name\": \"My Key\"",
"}"
);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-super.mygigsters.com.au/auth/create"))
.header("Authorization", "Bearer JWT_FROM_VERIFY_OTP_STEP")
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"name": "My Key"
}`)
req, err := http.NewRequest("POST", "https://qa-super.mygigsters.com.au/auth/create", body)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer JWT_FROM_VERIFY_OTP_STEP")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://qa-super.mygigsters.com.au/auth/create");
request.Headers.Authorization = new AuthenticationHeaderValue("Bearer", "JWT_FROM_VERIFY_OTP_STEP");
request.Content = new StringContent(@"{
""name"": ""My Key""
}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"apiUsername": "39534898-f44e-461e-99fb-c27f3bdd515b",
"apiPassword": "YOUR_API_PASSWORD"
}
Last modified on November 10, 2026
Was this page helpful?
